Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-24011

iOS: require fails to resolve paths like 'hyperloop/uikit/uilabel'

    Details

    • Type: Bug
    • Status: Closed
    • Priority: High
    • Resolution: Fixed
    • Affects Version/s: Release 6.0.0
    • Fix Version/s: Release 6.0.0
    • Component/s: iOS
    • Labels:
      None
    • Story Points:
      5
    • Sprint:
      2016 Sprint 21 SDK

      Description

      With the new require behavior, some old "legacy"-style require paths that used to work no longer do. Specifically, if the path has no leading '/', './', or '../' and the first segment of the path is a native module id - but the resources/js file doesn't exist in that module.

      This was particularly noticeable with hyperloop on 2.0.0 where we'd generate paths like 'hyperloop/uikit/uilabel', which actually resided in the user's app resources and not in the native hyperloop module itself.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                cwilliams Christopher Williams
                Reporter:
                cwilliams Christopher Williams
                Reviewer:
                Gary Mathews
              • Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Backbone Issue Sync

                  • Titanium SDK/CLI <> Titanium Mobile
                    Synced with:
                    TIMOB-10186
                    Sync status:
                    ERROR
                    Last received:
                    Last sent:

                    Git Source Code